Subject: Re: bug#35408: External monitor not working with GDM

From: Ben Sturmfels <[email-masked]>
Date: Thu, 25 Apr 2019 22:53:56 +1000

On Thu, 2019-04-25 at 14:16 +0200, Danny Milosavljevic wrote:
> On Thu, 25 Apr 2019 21:41:27 +1000
> Ben Sturmfels <[email-masked]> wrote:
> 
> > Apr 25 20:30:54 localhost gdm:
> > gdm_session_set_environment_variable:
> > assertion 'value != NULL' failed 
> 
> Yeah, that one again.  It might make sense to patch that so the
> assertion actually prints name and value passed.
> 
> You can also set "debug"'s "Enable=true" in gnu/services/xorg.scm ,
> in gdm-configuration-file , but it will only help in a limited way
> here.

Thanks Danny, I'll try enabling debugging in a second and see if I can
get some more info.

For what it's worth, I've attached my minimal system config that won't
start GDM on either internal or external monitor. It's very close to
what's in the manual. This is on an X200 with Libreboot running Guix
System 33023baac8ec548fe64ce8e4eb48840b5411ee4c.

Regards,
Ben